Subject: Re: bug#49670: [PATCH] gnu: gnome-maps: Unregister from DBus when asked to.

From: Leo Prikler <[email-masked]>
Date: Thu, 22 Jul 2021 10:31:21 +0200

Am Mittwoch, den 21.07.2021, 16:28 +0200 schrieb Ludovic Courtès:
> Hi!
> 
> Leo Prikler <[email-masked]> skribis:
> 
> > * gnu/packages/patches/gnome-maps-really-do-unregister.patch: New
> > file.
> > * gnu/packages/geo.scm (gnome-maps)[patches]: Add it here...
> > * gnu/local.mk (dist_patch_DATA): ... and here.
> > ---
> > I've opened a separate merge request upsteam [1], but since their
> > CI is
> > currently failing, it will take some time for this patch to make it
> > into a
> > release.
> > 
> > [1] https://gitlab.gnome.org/GNOME/gnome-maps/-/merge_requests/187
> > +              (patches
> > +               (search-patches
> > +                "gnome-maps-really-do-unregister.patch"))))
> 
> This can all go on a single line.
Forgot to count there, but thanks.

> > +++ b/gnu/packages/patches/gnome-maps-really-do-unregister.patch
> > @@ -0,0 +1,13 @@
> > +Index: gnome-maps-3.36.7/src/application.js
> 
> Could you add a line at the top of this patch saying what it does
> along with a link to the merge request above?
It turns out a similar fix already exists upstream [1], so if we decide
to backport that to 3.36 instead of bumping the package to 3.38, I
think we should pick the "official" one.

> Apart from that the two patches LGTM, especially if it allows me to
> use gnome-maps again.  :-)
Do "the two patches" refer to this one alone or also to the one bumping
the package to 3.38?  Again, I'm a little unsure what would be the
preferred solution here, as either patch adds additional code that
would probably need to be reverted by Raghav in their GNOME 40 work.

Regards,

[1] 
https://gitlab.gnome.org/GNOME/gnome-maps/-/commit/2e64cf6909dfca559fcaf54c470134ecc4d64e9a